summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2008-05-10 08:35:08 +0000
committerMike Frysinger <vapier@gentoo.org>2008-05-10 08:35:08 +0000
commite30e8142bbe011eea9483106a9d51784cf409869 (patch)
treed274a2e2eb467b1f1b357ed5cbd7a7313c6505eb /app-arch/lzma-utils/files
parentversion bump (diff)
downloadgentoo-2-e30e8142bbe011eea9483106a9d51784cf409869.tar.gz
gentoo-2-e30e8142bbe011eea9483106a9d51784cf409869.tar.bz2
gentoo-2-e30e8142bbe011eea9483106a9d51784cf409869.zip
If building with USE=nocxx, neuter lzma-utils to only provide decompressor #220899 by Ulrich Müller.
(Portage version: 2.2_pre5)
Diffstat (limited to 'app-arch/lzma-utils/files')
-rwxr-xr-xapp-arch/lzma-utils/files/lzma-nocxx.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/app-arch/lzma-utils/files/lzma-nocxx.sh b/app-arch/lzma-utils/files/lzma-nocxx.sh
new file mode 100755
index 000000000000..cc81029b4d61
--- /dev/null
+++ b/app-arch/lzma-utils/files/lzma-nocxx.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if [ "$1" = "-dc" ] ; then
+ shift
+ cat "$@" | lzmadec
+else
+ (
+ echo "You've built lzma-utils without C++ support."
+ echo "If you want lzma support, rebuild with C++ support."
+ ) 1>&2
+ exit 1
+fi